Subject: Re: [codec] Updated Agenda for Codec BOF

From: Patrick Luthi <[email-masked]>
Date: Wed, 15 Jul 2009 15:30:10 +0200

Hi,

I agree with the different postings requesting to not have any codec 
presentations during the upcoming BoF. It will be interesting, 
instead, to have a discussion on requirements and codec selection and 
how a future WG will define such requirements and selection process.

 From reading the mailing list, one of the key requirements is 
patent/licensing free technology. How will such requirement be 
enforced and how will the WG handle the case where IPR would appear 
during last call or just after the RFC is published?

Best regards,

Patrick

At 23:15 10/07/2009, stephen botzko wrote:
>I think this presentation concept is better than a codec 
>description.  It would naturally form a framework for the following 
>discussion.  Though I still think it needs to be short (no more than 
>10 minutes), and it should be clear to all that it represents just 
>one view of how it might be done.
>
>As far as codec developers goes, it is hopefully obvious to everyone 
>(pro and con) that there are quite a few individuals and 
>organizations participating in the IETF that have considerable 
>expertise in codec development.  I'm sure several also have 
>experience with the codec characterization/quality testing Roni 
>mentions.  Though I think getting this kind of testing in place will 
>require quite a bit of work - my assessment is that it is probably 
>more work than standardizing the first codec.  Getting agreement on 
>the methodologies, the speech samples to use, etc. will take time and effort.
>
>Regards,
>Stephen Botzko
>Polycom
>
>
>
>
>On Fri, Jul 10, 2009 at 4:56 PM, Roni Even 
><<mailto:[email-masked]>[email-masked]> wrote:
>Jason,
>If you want to describe the type of work that will be done in the working
>group it will be better to have a presentation on how you will define
>requirements, test the quality and select a codec, how it is done in other
>bodies and why should the IETF do it.
>My current view based on the lack of any agreed requirements is that every
>wide band codec is a good candidate including ones that were done by other
>standard bodies. So to present just two do not have any value and may have
>some bias, mostly since it is the ones suggested by the BOF chairs. If you
>want to present codecs, I can probably present the list of all existing
>codecs based on a list that is kept by the ITU.
>As for showing that there are people capable of evaluating codecs in the
>IETF, note that I did not say design but evaluate the process by which a
>codec will be selected and evaluate the maturity of the proposal, I am not
>sure that except for the proponent there are any others who have enough
>experience in codec design and quality testing. I think that this is one of
>the topics to be discussed since one of the conclusion of the iLBC work that
>there is not enough such expertise.
>Roni Even
> > -----Original Message-----
> > From: Jason Fischl [mailto:[email-masked]]
> > Sent: Friday, July 10, 2009 8:38 PM
> > To: Roni Even
> > Cc: 'Peter Saint-Andre'; 'stephen botzko'; 'Ingemar Johansson S';
> > 'Slava Borilin'; <mailto:[email-masked]>[email-masked]
> > Subject: Re: [codec] Updated Agenda for Codec BOF
> >
> > The point of briefly presenting a few codecs is to show the type of
> > work that would be done in the working group and to address the
> > feasibility of the goal. It is not to present the issues with the
> > particular codecs or even the details of the codecs. There have been
> > assertions on the list that the IETF lacks the expertise to do this
> > work. This agenda item attempts to address that concern.
> >
> > I'd also like to encourage other people to post to the list with their
> > opinions on whether or not agenda item 4 (codecs) should be included.
> >
> > As Stephen suggests, Jean-Marc and I will arrange for a lunch codec
> > tutorial session prior to the BOF on Wednesday or Thursday.
> >
> > Jason
> >
> >
> > On Jul 10, 2009, at 9:43 AM, Roni Even wrote:
> >
> > > Hi,
> > > I still fail to see what is the value in presenting one, two or three
> > > codecs. I saw that there was a request to present a third one.
> > > I can agree that there are people who can present codecs as a
> > > suggested
> > > solution including existing ones. Since there is no charter yet
> > > under which
> > > the codecs are to be specified it may serve as a tutorial on codecs.
> > > So if
> > > we open to codec presentation in the BOF let allow everyone to
> > > present their
> > > codecs including ITU and MPEG ones and spend the whole BOF of the
> > > different
> > > codecs technologies.
> > > If the idea behind this presentation is to show specific
> > > functionality than
> > > instead it will be more fruitful to present requirements, since I
> > > could see
> > > from the list discussion that there is no consensus even between the
> > > current
> > > proponents what the requirements are.
> > >
> > > Roni Even
> > >
> > >> -----Original Message-----
> > >> From: <mailto:[email-masked]>[email-masked] 
> [mailto:[email-masked]] On
> > >> Behalf
> > >> Of Peter Saint-Andre
> > >> Sent: Friday, July 10, 2009 5:46 PM
> > >> To: stephen botzko
> > >> Cc: Ingemar Johansson S; Slava Borilin; 
> <mailto:[email-masked]>[email-masked]
> > >> Subject: Re: [codec] Updated Agenda for Codec BOF
> > >>
> > >> -----BEGIN PGP SIGNED MESSAGE-----
> > >> Hash: SHA1
> > >>
> > >> On 7/10/09 5:26 AM, stephen botzko wrote:
> > >>> Sorry to disagree on this.
> > >>>
> > >>> - A 25 minute presentation is not "short" in a 2 hour meeting.  5
> > >>> minutes would be short.
> > >>> - SILK and CELT are well known, and can be studied/reviewed by
> > >>> anyone
> > >>> interested off-line.
> > >>>
> > >>> The net effect of a 25 minute codec presentation by WG proponents
> > is
> > >> to
> > >>> remove 25 minutes of discussoin time.  A second effect is that it
> > >> biases
> > >>> the time allotment in favor of proponents, which acts to skew the
> > >> input
> > >>> to IESG in that direction. Arguments against are just as important
> > >>> as
> > >>> arguments for at this point in the process.
> > >>>
> > >>> Perhaps a compromise is possible?  Move item 4 to the _end_ of the
> > >>> agenda, and make it the "time permits" activity?
> > >>
> > >> How about 5 minutes to discuss each of the codec I-Ds at a high
> > >> level?
> > >> Allotting 10 minutes out of 2 hours to existence proofs and what
> > they
> > >> imply for the work of the Codec WG (if approved) seems helpful to
> > me.
> > >> Clearly anyone can read the I-Ds ahead of time, but IMHO the BoF can
> > >> productively talk about how these codecs could be used as input to a
> > >> working group.
> > >>
> > >> Peter
> > >>
> > >> - --
> > >> Peter Saint-Andre
> > >> <https://stpeter.im/>https://stpeter.im/
> > >>
> > >>
> > >> -----BEGIN PGP SIGNATURE-----
> > >> Version: GnuPG v1.4.8 (Darwin)
> > >> Comment: Using GnuPG with Mozilla - 
> <http://enigmail.mozdev.org>http://enigmail.mozdev.org
> > >>
> > >> iEYEARECAAYFAkpXVDAACgkQNL8k5A2w/vxzFACgxpRsJZyUEcGzhmcpx8MARPE2
> > >> TEUAoMwK2EjNJvBpmRfi3xCZuN1x/WLV
> > >> =bx98
> > >> -----END PGP SIGNATURE-----
> > >>
> > >> _______________________________________________
> > >> codec mailing list
> > >> <mailto:[email-masked]>[email-masked]
> > >> https://www.ietf.org/mailman/listinfo/codec
> > >
> > > _______________________________________________
> > > codec mailing list
> > > <mailto:[email-masked]>[email-masked]
> > > https://www.ietf.org/mailman/listinfo/codec

_______________________________________________
codec mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/codec